InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::ADCConfig Struct Reference
Inheritance diagram for inertia::ADCConfig:
[legend]
Collaboration diagram for inertia::ADCConfig:
[legend]

## Public Member Functions
| ADCConfig (uint8_t const *in)
| ADCConfig (std::wstring const &argString)
void | Set (const ADCChannel channel1, const ADCChannel channel2)
void | Get (ADCChannel &channel1, ADCChannel &channel2) const
void | GetBytes (std::vector< uint8_t > &out) const override
ConfigType | GetConfigType () const override
const std::wstring | ToString () const override

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
static unsigned | GetLength ()

## Public Attributes
bool | adoptOffset
bool | adoptScale
bool | asGPIO [2]
float | scale [2]
int16_t | offset [2]
uint8_t | ADCchannelMap
Public Attributes inherited from inertia::SamplingConfig
bool | enableSampling
bool | enableTransmit
bool | enableLogging
bool | adoptMod
uint32_t | mod

## Additional Inherited Members
Protected Member Functions inherited from inertia::SamplingConfig
| SamplingConfig (uint8_t const *in)
| SamplingConfig (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
const std::wstring | ToSimpleString (uint16_t const globalRate) const
Protected Member Functions inherited from inertia::LegacyConfig
| LegacyConfig (uint8_t const *in)
| LegacyConfig (std::wstring const &argString)
Protected Member Functions inherited from inertia::AbstractConfig
| AbstractConfig (uint8_t const *in)
| AbstractConfig (std::wstring const &argString)
| AbstractConfig (AbstractConfig const &)=default
AbstractConfig & | operator= (AbstractConfig const &)=default
Static Protected Member Functions inherited from inertia::SamplingConfig
static const po::options_description | GetOptionDescription ()

## Member Function Documentation

## ◆ GetBytes()

void inertia::ADCConfig::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Implements inertia::AbstractConfig.

## ◆ GetConfigType()

ConfigType inertia::ADCConfig::GetConfigType | ( |  | ) | const
| override virtual

Implements inertia::AbstractConfig.

## ◆ ToString()

const std::wstring inertia::ADCConfig::ToString | ( |  | ) | const
| override virtual

Implements inertia::AbstractConfig.

## Member Data Documentation

## ◆ ADCchannelMap

uint8_t inertia::ADCConfig::ADCchannelMap

each of the 8 bits select different ADC channels. Only 2 channels can be active at once (others will be ignored). The lowest selected bit will be the first value of the ADC sample. bit 0. Channel 2 (A2 on MSP - VBAT on P3D). bit 1. Channel 0 (A0). bit 2. Channel 1 (A1). bit 3. Channel 3 (A3). bit 4. Channel 4 (A4). bit 5. Channel 5 (A5). bit 6. Channel 6 (A6). bit 7. Channel 7 (A7)

The documentation for this struct was generated from the following file:

- ADCConfig.h